import grok
from grok import index
from zope.interface import Interface
from interfaces import IUniversity
from viewlets import MainArea

from waeup.hostel import hostelcontainer
from waeup.students import studentcontainer
from waeup.university import facultycontainer

class University(grok.Application, grok.Container):
    grok.implements(IUniversity)

    def __init__(self, name=u'Unnamed', **kw):
        super(University, self).__init__(**kw)
        self.name = name

        sc = studentcontainer.StudentContainer()
        self["students"] = sc        
    
        hc = hostelcontainer.HostelContainer()
        self["hostels"] = hc
    
        fc = facultycontainer.FacultyContainer()
        self["faculties"] = fc


class Content(grok.Viewlet):
    grok.viewletmanager(MainArea)
    grok.context(IUniversity)


class Edit(grok.EditForm):
    grok.context(University)
    grok.AutoFields(IUniversity)
